import { useState } from 'react'
import '../css/global.css'
import { useNavigate } from 'react-router-dom';

function WarningPage() {
  const navigate = useNavigate();
  
  const [lang] = useState(() => {
        return sessionStorage.getItem("lang") || 'English';
    });

  const text = {
        tw: lang === 'Thai' ? 'คำเตือนเนื้อหา' : 'Trigger warning',
        tw_text: lang === 'Thai' ? 'เนื้อหาต่อไปนี้อาจสร้างความรู้สึกไม่สบายหรือก่อให้เกิดความทุกข์ใจกับผู้อ่านบางท่าน' 
        : 
        'The subsequent content includes material that may be sensitive or distressing to certain audiences.',
    }
          // Lorem ipsum dolor sit amet, <br/>
          // consectetur adipiscing elit, <br/>
          // sed do eiusmod tempor <br/>
          // incididunt ut labore et dolore <br/>
          // magnam aliquam quaerat <br/>
          // voluptatem.

  return(
  	  <div style={{
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        height: '100vh',
        flexDirection: 'column',
      }}
        onClick={()=>{navigate('/name', { replace: true })}}
      >
        <label className='title'>{text.tw}</label>

        <div style={{
          height: '8vh'
        }}/>

        <label className="body">
          {text.tw_text.split('\n').map((line, index) => (
            <span key={index}>
              {line}
              <br />
            </span>
          ))}
        </label>
  	  </div>
  )
}

export default WarningPage
